Bug 196757 - Firefox only prints first page for certain websites.
Firefox only prints first page for certain websites.
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2006-06-26 18:12 EDT by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-24 09:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
minimal testcase (16.23 KB, text/plain)
2007-10-24 07:37 EDT, Martin Stransky
no flags Details

  None (edit)
Description Florin Andrei 2006-06-26 18:12:17 EDT
Description of problem:
See these pages:


When I'm printing them, only the first page comes out.
Konqueror prints the pages just fine.

Firefox even crashed once on one of these pages when trying to do a print preview.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. browse
2. print
Actual results:
firefox crashes

Expected results:
well duh

Additional info:
Comment 1 Maxime Bellengé 2006-07-07 11:45:47 EDT
I can confirm I have the same behavior, my platform is x86_64.
Comment 2 Orion Poplawski 2006-11-02 13:17:07 EST
Me too with firefox- and

There are many mozilla printing bugs, some that have been around for 4+ years. 
Hard to figure out which one this is, though it seems like users are just now
complaining to me.  Could be websites though upgrading their content generation
code to stuff that tickles old mozilla bugs.
Comment 3 Christopher Aillon 2006-11-02 13:27:17 EST
For what it's worth I think this is fixed in FC6...
Comment 4 Orion Poplawski 2006-11-16 18:29:04 EST
(In reply to comment #3)
> For what it's worth I think this is fixed in FC6...

Not with my url in comment #2 for my on FC6/KDE.
Comment 5 Matěj Cepl 2007-07-18 13:30:12 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Orion Poplawski 2007-07-24 17:33:39 EDT
Still present with my url in comment #2 with F-7 and firefox- in KDE.
Comment 7 Matěj Cepl 2007-07-25 09:33:00 EDT
Can reproduce with epiphany-2.18.3-2.fc7 on i386.
Comment 8 Martin Stransky 2007-09-11 07:23:32 EDT
Can reproduce with Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9a7)
Gecko/200708020909 GranParadiso/3.0a7

Taking this bug.
Comment 9 Martin Stransky 2007-10-24 07:37:44 EDT
Created attachment 236091 [details]
minimal testcase
Comment 10 Martin Stransky 2007-10-24 09:58:47 EDT
Fixed in the latest mozilla trunk. Will appear in firefox 3.

Note You need to log in before you can comment on or make changes to this bug.